# A headless service to create DNS records
apiVersion: v1
kind: Service
metadata:
  name: {{ template "hadoop.fullname" . }}-yarn-rm
  labels:
    app: {{ template "hadoop.name" . }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
    component: yarn-rm
spec:
  ports:
  - port: 8088
    name: web
  clusterIP: None
  selector:
    app: {{ template "hadoop.name" . }}
    release: {{ .Release.Name }}
    component: yarn-rm